<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<!--
 *     	  Copyright © 1997, 2011, Oracle and/or its affiliates. All rights reserved. 
 *	  Use is subject to license terms.
> -->
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">

    <title>About File Types</title>
    <link rel="StyleSheet" href="nbdocs://org.netbeans.modules.usersguide/org/netbeans/modules/usersguide/ide.css" type="text/css">
</head>

<body>
    <h2>About File Types</h2>
    <p><small> 
        <a href="#seealso">See Also</a> 
    </small></p>

    <p>Many file types are recognized by default by the IDE. For example, JSP files, Java source files,
    and HTML files are recognized as such and the IDE provides functionality specific to the file type.
    For example&#8212;for JSP and HTML files, the IDE provides special syntax highlighting that is different from
    the syntax highlighting provided for Java source files. In addition, the menu items provided for JSP files
    are different from those provided for HTML files. For example, you can compile a JSP file
    but not an HTML file.

    <p>Recognition of a file type is generally made possible via its extension. All JSP files
    have a <tt>.jsp</tt> extension, while all Java source files have a <tt>.java</tt> extension.
    On the basis of this distinction, the IDE provides distinct functionality for these file types.
    You can use the <a href="../../csh/FileRecognitionPanel.html">New File Type wizard</a> to
    let the IDE recognize additional file types, i.e., file types that are not recognized by the IDE
    by default. For example, if you have a file type with
    the file extension <tt>.xyz</tt>, you can let the IDE recognize all files with
    this extension and then provide functionality specifically for this file type.

    <p>But you can also let the IDE distinguish between XML files. Whether an
  XML file has an <tt>.xml</tt> extension, you can let the IDE provide
    different functionality for <tt>abc.xml</tt> than for <tt>def.xml</tt>, based
    on the namespace defined for the XML file in question. If the namespace of
    each distinguishable XML file is distinct, the namespace is used to distinguish
    the file types in this case.

    <p>When you use the New File Type wizard, the IDE
    creates the following files for you:</p>

    <table border="1" cellpadding="5" cellspacing="0" summary="The left column lists the
        task name. The right column lists the steps to perform.">
        <tr valign="top"> 
            <th scope="col" align="left" width="30">File</th>
            <th scope="col" align="left">Purpose</th>
        </tr>
        <tr valign="top"> 
            <td><tt><i>xxx</i>DataObject.java</tt></td>
            <td>A class that extends <object CLASSID="java:org.netbeans.modules.javahelp.BrowserDisplayer">
                <param name="content" value="http://bits.netbeans.org/dev/javadoc/org-openide-loaders/org/openide/loaders/MultiDataObject.html">
                <param name="text" value="<html><u>Class MultiDataObject</u>.</html>">
                <param name="textFontSize" value="medium">
                <param name="textColor" value="blue">
            </object>
            </td>
        </tr>
        <tr valign="top"> 
            <td><tt><i>xxx</i>Resolver.xml</tt></td>
            <td>Declarative resolution of MIME-type.
            </td>
        </tr>
        <tr valign="top"> 
            <td><tt><i>xxx</i>Template.<i>xxx</i></tt></td>
            <td>Dummy template, registered in the <tt>layer.xml</tt> file
             as a file template.
            </td>
        </tr>
        
    </table>

  
    <dl>
        <dt><a name="seealso">See Also</a></dt>
        <dd>  <a href="../../about/nbmodule-about.html">About NetBeans Platform and Module Development</a></dd>
        <dd><a href="../../about/about-netbeans-platform.html">About the NetBeans Platform</a></dd>
    </dl> 
    <hr>
    <small><a href="../../credits.html">Legal Notices</a></small> 
    <table cellpadding="20" border="0"> 
        <tr><td>&nbsp;</td></tr> 
        <tr><td>&nbsp;</td></tr> 
        <tr><td>&nbsp;</td></tr> 
    </table> 
</body></html>
